### A free/open-source library for quantitative finance

Public Member Functions
ArmijoLineSearch Class Reference

Armijo line search. More...

`#include <ql/math/optimization/armijo.hpp>`

Inheritance diagram for ArmijoLineSearch:
[legend]

List of all members.

## Public Member Functions

| ArmijoLineSearch (Real eps=1e-8, Real alpha=0.05, Real beta=0.65)
| Default constructor.
Real | operator() (Problem &P, EndCriteria::Type &ecType, const EndCriteria &, const Real t_ini)
| Perform line search.

## Detailed Description

Armijo line search.

Let and be 2 scalars in . Let be the current value of the unknown, the search direction and the step. Let be the function to minimize. The line search stops when verifies

and

(see Polak, Algorithms and consistent approximations, Optimization, volume 124 of Applied Mathematical Sciences, Springer-Verlag, NY, 1997)